commandwindow
clear
clc
syms T1(t) T2(t)
z=[diff(T1,t,1)+3*T2==exp(-2*t),diff(T2,t,1)-3*T1==exp(2*t)]
zcond=[T1(0)==30,T2(0)==30]
answer=dsolve(z,zcond)
T1=answer.T1
T2=answer.T2
tn=[0:0.1:3.5]
T1n=subs(T1,tn)
T2n=subs(T2,tn)
plot(T1n,tn,T2n,tn)
axis tight
grid on
grid minor
legend('T1','T2')
ylabel('Temperature in celcius')
xlabel('Time in hours')